unit Getdir;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  {Unit1,} StdCtrls, FileCtrl;

type
  TDirectoryFrm = class(TForm)
    DriveComboBox1: TDriveComboBox;
    DirectoryListBox1: TDirectoryListBox;
    Label1: TLabel;
    Label2: TLabel;
    OKBtn: TButton;
    CancelBtn: TButton;
    procedure FormCreate(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure OKBtnClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  DirectoryFrm: TDirectoryFrm;

implementation

uses Unit1;

{$R *.DFM}

procedure TDirectoryFrm.FormCreate(Sender: TObject);
begin
  DirectoryListBox1.Directory := Form1.Pathname.Text;
  DirectoryListBox1.OpenCurrent();
end;

procedure TDirectoryFrm.FormActivate(Sender: TObject);
begin
  DirectoryListBox1.Directory := Form1.Pathname.Text;
  DirectoryListBox1.OpenCurrent();
end;

procedure TDirectoryFrm.OKBtnClick(Sender: TObject);
begin
  Form1.Pathname.Text := DirectoryListBox1.Directory;
end;

end.
